Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class ValidationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.ValidationException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DescriptorException, IntegrityException, QueryException, XMLMarshalException

public class ValidationException
extends TopLinkException

Purpose: This exception is used if incorrect state or method arguments are detected in a general TopLink object.

See Also:
  Serialized Form

Field Summary
`static int` | `ALREADY_LOGGED_IN`
`static int` | `ANNOTATIONS_CONFLICT`
`static int` | `ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND`
`static int` | `ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED`
`static int` | `CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION`
`static int` | `CANNOT_ACQUIRE_DATA_SOURCE`
`static int` | `CANNOT_ACQUIRE_HISTORICAL_SESSION`
`static int` | `CANNOT_ADD_DESCRIPTORS_TO_SESSION`
`static int` | `CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER`
`static int` | `CANNOT_CAST_TO_CLASS`
`static int` | `CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES`
`static int` | `CANNOT_COMMIT_UOW_AGAIN`
`static int` | `CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER`
`static int` | `CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS`
`static int` | `CANNOT_LOGIN_TO_A_SESSION`
`static int` | `CANNOT_LOGOUT_OF_A_SESSION`
`static int` | `CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK`
`static int` | `CANNOT_MODIFY_SCHEMA_IN_SESSION`
`static int` | `CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK`
`static int` | `CANNOT_RELEASE_NON_CLIENTSESSION`
`static int` | `CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK`
`static int` | `CANNOT_RESUME_SYNCHRONIZED_UOW`
`static int` | `CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT`
`static int` | `CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT`
`static int` | `CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN`
`static int` | `CANNOT_TRANSLATE_UNPREPARED_CALL`
`static int` | `CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK`
`static int` | `CANNOT_WRITE_CHANGES_TWICE`
`static int` | `CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS`
`static int` | `CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP`
`static int` | `CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION`
`static int` | `CLASS_LIST_MUST_NOT_BE_NULL`
`static int` | `CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION`
`static int` | `CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND`
`static int` | `CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED`
`static int` | `CONFIG_METHOD_NOT_DEFINED`
`static int` | `CONTAINER_POLICY_DOES_NOT_USE_KEYS`
`static int` | `COULD_NOT_BIND_JNDI`
`static int` | `COULD_NOT_FIND_DRIVER_CLASS`
`static int` | `CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED`
`static int` | `CURRENT_LOADER_NOT_VALID`
`static int` | `DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE`
`static int` | `DESCRIPTOR_MUST_NOT_BE_INITIALIZED`
`static int` | `EJB_CANNOT_LOAD_REMOTE_CLASS`
`static int` | `EJB_CONTAINER_EXCEPTION_RAISED`
`static int` | `EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION`
`static int` | `EJB_FINDER_EXCEPTION`
`static int` | `EJB_INVALID_FINDER_ON_HOME`
`static int` | `EJB_INVALID_PLATFORM_CLASS`
`static int` | `EJB_INVALID_PROJECT_CLASS`
`static int` | `EJB_INVALID_SESSION_TYPE_CLASS`
`static int` | `EJB_MUST_BE_IN_TRANSACTION`
`static int` | `EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES`
`static int` | `EJB_PRIMARY_KEY_REFLECTION_EXCEPTION`
`static int` | `EJB_SESSION_TYPE_CLASS_NOT_FOUND`
`static int` | `EJB_TOPLINK_PROPERTIES_NOT_FOUND`
`static int` | `EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND`
`static int` | `ENTITY_CLASS_NOT_FOUND`
`static int` | `ERROR_CLOSING_PERSISTENCE_XML`
`static int` | `ERROR_DECRYPTING_PASSWORD`
`static int` | `ERROR_ENCRYPTING_PASSWORD`
`static int` | `ERROR_IN_SESSION_XML`
`static int` | `ERROR_INSTANTIATING_ENTITY_LISTENER`
`static int` | `ERROR_PROCESSING_NAMED_QUERY_ANNOTATION`
`static int` | `EXCEPTION_CONFIGURING_EM_FACTORY`
`static int` | `EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE`
`static int` | `EXISTING_QUERY_TYPE_CONFLICT`
`static int` | `FATAL_ERROR_OCCURRED`
`static int` | `FEATURE_NOT_SUPPORTED_IN_JDK_VERSION`
`static int` | `FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK`
`static int` | `FILE_ERROR`
`static int` | `FLUSH_MODE_NOT_SUPPORTED`
`static int` | `HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE`
`static int` | `ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR`
`static int` | `ILLEGAL_CONTAINER_CLASS`
`static int` | `ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION`
`static int` | `INACTIVE_UNIT_OF_WORK`
`static int` | `INCORRECT_LOGIN_INSTANCE_PROVIDED`
`static int` | `INVALID_ANNOTATION_SPECIFIED`
`static int` | `INVALID_CALLBACK_METHOD`
`static int` | `INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION`
`static int` | `INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP`
`static int` | `INVALID_COMPOSITE_PK_SPECIFICATION`
`static int` | `INVALID_CONNECTOR`
`static int` | `INVALID_DATA_SOURCE_NAME`
`static int` | `INVALID_EMBEDDABLE_ATTRIBUTE`
`static int` | `INVALID_ENCRYPTION_CLASS`
`static int` | `INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS`
`static int` | `INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS`
`static int` | `INVALID_FETCH_LAZY_TYPE`
`static int` | `INVALID_FILE_TYPE`
`static int` | `INVALID_MERGE_POLICY`
`static int` | `INVALID_METHOD_ARGUMENTS`
`static int` | `INVALID_NAMED_QUERY_ANNOTATION_NAME`
`static int` | `INVALID_NULL_METHOD_ARGUMENTS`
`static int` | `INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK`
`static int` | `INVALID_SEQUENCING_LOGIN`
`static int` | `ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER`
`static int` | `JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED`
`static int` | `JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE`
`static int` | `JTS_EXCEPTION_RAISED`
`static int` | `KEYS_MUST_MATCH`
`static int` | `LOG_IO_ERROR`
`static int` | `LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS`
`static int` | `MAX_SIZE_LESS_THAN_MIN_SIZE`
`static int` | `METHOD_FAILED`
`static int` | `METHOD_NOT_DECLARED_IN_ITEM_CLASS`
`static int` | `MISSING_DESCRIPTOR`
`static int` | `MISSING_MAPPING`
`static int` | `MULTIPLE_CURSORS_NOT_SUPPORTED`
`static int` | `MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND`
`static int` | `MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES`
`static int` | `NAME_AND_REF_NAME_MUST_BE_SPECIFIED`
`static int` | `NAMED_QUERY_ALREADY_EXISTS`
`static int` | `NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING`
`static int` | `NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY`
`static int` | `NO_CORRESPONDING_SETTER_METHOD_DEFINED`
`static int` | `NO_MAPPED_BY_ATTRIBUTE_FOUND`
`static int` | `NO_PK_ANNOTATIONS_FOUND`
`static int` | `NO_PROJECT_SPECIFIED_IN_PROPERTIES`
`static int` | `NO_PROPERTIES_FILE_FOUND`
`static int` | `NO_SESSION_FOUND`
`static int` | `NO_SESSION_REGISTERED_FOR_CLASS`
`static int` | `NO_SESSION_REGISTERED_FOR_NAME`
`static int` | `NO_SESSIONS_XML_FOUND`
`static int` | `NO_TABLES_TO_CREATE`
`static int` | `NO_TOPLINK_EJB_JAR_XML_FOUND`
`static int` | `NOT_SUPPORTED_FOR_DATASOURCE`
`static int` | `NULL_CACHE_KEY_FOUND_ON_REMOVAL`
`static int` | `NULL_PK_IN_UOW_CLONE`
`static int` | `NULL_UNDERLYING_VALUEHOLDER_VALUE`
`static int` | `OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE`
`static int` | `OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING`
`static int` | `ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS`
`static int` | `ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS`
`static int` | `OPERATION_NOT_SUPPORTED`
`static int` | `OPTIMISTIC_LOCKING_NOT_SUPPORTED`
`static int` | `ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED`
`static int` | `ORACLE_OBJECT_TYPE_NOT_DEFINED`
`static int` | `ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED`
`static int` | `ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE`
`static int` | `ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION`
`static int` | `ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION`
`static int` | `ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL`
`static int` | `PLATFORM_CLASS_NOT_FOUND`
`static int` | `PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING`
`static int` | `PLATFORM_DOES_NOT_SUPPORT_SEQUENCE`
`static int` | `PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS`
`static int` | `POOL_NAME_DOES_NOT_EXIST`
`static int` | `POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN`
`static int` | `PROJECT_AMENDMENT_EXCEPTION_OCCURED`
`static int` | `PROJECT_LOGIN_IS_NULL`
`static int` | `PROJECT_XML_NOT_FOUND`
`static int` | `QUERY_ARGUMENT_TYPE_NOT_FOUND`
`static int` | `QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY`
`static int` | `RESERVED_NAME`
`static int` | `SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS`
`static int` | `SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE`
`static int` | `SEQUENCE_SETUP_INCORRECTLY`
`static int` | `SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN`
`static int` | `SESSION_AMENDMENT_EXCEPTION_OCCURED`
`static int` | `SET_LISTENER_CLASSES_EXCEPTION`
`static int` | `START_INDEX_OUT_OF_RANGE`
`static int` | `STOP_INDEX_OUT_OF_RANGE`
`static int` | `SUB_SESSION_NOT_DEFINED_FOR_BROKER`
`static int` | `TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED`
`static int` | `UNABLE_TO_LOAD_CLASS`
`static int` | `UNFETCHED_ATTRIBUTE_NOT_EDITABLE`
`static int` | `UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED`
`static int` | `UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING`
`static int` | `UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR`
`static int` | `UNSUPPORTED_CASCADE_LOCKING_MAPPING`
`static int` | `UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY`
`static int` | `UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES`
`static int` | `WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK`
`static int` | `WRONG_CHANGE_EVENT`
`static int` | `WRONG_COLLECTION_CHANGE_EVENT_TYPE`
`static int` | `WRONG_OBJECT_REGISTERED`
`static int` | `WRONG_PROPERTY_NAME_IN_CHANGE_EVENT`
`static int` | `WRONG_SEQUENCE_TYPE`
`static int` | `WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD`

Method Summary
`static ValidationException` | `alreadyLoggedIn(java.lang.String sessionName)`
`static ValidationException` | `annotationsConflict(java.lang.String annotation1, java.lang.String annotation2)`
`static ValidationException` | `associationTableAnnotationNotFound(java.lang.Class owningClass, java.lang.Class nonOwningClass, java.lang.String attributeName)`
`static ValidationException` | `attributeOverrideColumnsNotSpecified(java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `cannotAcquireClientSessionFromSession()`
`static ValidationException` | `cannotAcquireDataSource(java.lang.Object name, java.lang.Exception exception)`
`static ValidationException` | `cannotAcquireHistoricalSession()`
`static ValidationException` | `cannotAddDescriptorsToSessionBroker()`
`static ValidationException` | `cannotCastToClass(java.lang.Object ob, java.lang.Class objectClass, java.lang.Class castClass)`
`static ValidationException` | `cannotCommitAndResumeSynchronizedUOW(UnitOfWork uow)`
`static ValidationException` | `cannotCommitAndResumeUOWWithUpdateAllQueries()`
`static ValidationException` | `cannotCommitUOWAgain()`
`static ValidationException` | `cannotCreateExternalTransactionController(java.lang.String externalTransactionControllerName)`
`static ValidationException` | `cannotHaveUnboundInOutputArguments()`
`static ValidationException` | `cannotInvokeMethodOnConfigClass(java.lang.String configMethod, java.lang.String configClass, java.lang.String configFactory, java.lang.Exception ex)`
`static ValidationException` | `cannotIssueUpdateAllQueryWithOtherWritesWithinUOW()`
`static ValidationException` | `cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork()`
`static ValidationException` | `cannotRegisterAggregateObjectInUnitOfWork(java.lang.Class type)`
`static ValidationException` | `cannotReleaseNonClientSession()`
`static ValidationException` | `cannotRemoveFromReadOnlyClassesInNestedUnitOfWork()`
`static ValidationException` | `cannotSetCursorForParameterTypeOtherThanOut(java.lang.String fieldName, java.lang.String callString)`
`static ValidationException` | `cannotSetDefaultSequenceAsDefault(java.lang.String seqName)`
`static ValidationException` | `cannotSetListenerClasses(java.lang.Exception exception)`
`static ValidationException` | `cannotSetReadPoolSizeAfterLogin()`
`static ValidationException` | `cannotTranslateUnpreparedCall(java.lang.String callString)`
`static ValidationException` | `cannotWriteChangesTwice()`
`static ValidationException` | `childDescriptorsDoNotHaveIdentityMap()`
`static ValidationException` | `classFileTransformerThrowsException(java.lang.Object transformer, java.lang.String className, java.lang.Exception ex)`
`static ValidationException` | `classListMustNotBeNull()`
`static ValidationException` | `clientSessionCanNotUseExclusiveConnection()`
`static ValidationException` | `configFactoryNamePropertyNotFound(java.lang.String configClass, java.lang.String configFactory, java.lang.Exception ex)`
`static ValidationException` | `configFactoryNamePropertyNotSpecified(java.lang.String configFactory)`
`static ValidationException` | `configMethodNotDefined(java.lang.String configClass, java.lang.String configMethod)`
`static ValidationException` | `containerPolicyDoesNotUseKeys(ContainerPolicy aPolicy, java.lang.String methodName)`
`static ValidationException` | `couldNotBindJndi(java.lang.String bindName, java.lang.Object bindValue, java.lang.Exception ex)`
`static ValidationException` | `couldNotFindDriverClass(java.lang.Object driver, java.lang.Exception ex)`
`static ValidationException` | `createPlatformDefaultSequenceUndefined(java.lang.String platformTypeName)`
`static ValidationException` | `currentLoaderNotValid(java.lang.ClassLoader loader)`
`static ValidationException` | `defaultSequenceNameAlreadyUsedBySequence(java.lang.String seqName)`
`static ValidationException` | `descriptorMustBeNotInitialized(Descriptor descriptor)`
`static ValidationException` | `ejbCannotLoadRemoteClass(java.lang.Exception exception, java.lang.Class beanClass, java.lang.String remoteClass)`
`static ValidationException` | `ejbContainerExceptionRaised(java.lang.Exception exception)`
`static ValidationException` | `ejbDescriptorNotFoundInSession(java.lang.Class beanClass, java.lang.String sessionName)` PUBLIC: Possible cause: The descriptor listed was not found in the session specified on the deployment descriptor.
`static ValidationException` | `ejbFinderException(java.lang.Object bean, java.lang.Throwable finderException, java.util.Vector primaryKey)`
`static ValidationException` | `ejbInvalidHomeInterfaceClass(java.lang.Class homeClassName)`
`static ValidationException` | `ejbInvalidPlatformClass(java.lang.String platformName, java.lang.String projectName)`
`static ValidationException` | `ejbInvalidProjectClass(java.lang.String projectClassName, java.lang.String projectName, java.lang.Throwable aThrowable)` PUBLIC: Possible cause: The project class specified in the sessions.xml file for the session specified on the toplink_session_name environment variable can not be found.
`static ValidationException` | `ejbInvalidSessionTypeClass(java.lang.String sessionType, java.lang.String sessionName)` PUBLIC: Possible cause: The session type specified in the sessions.xml file for the session specified on the toplink_session_name environment variable is not a valid type.
`static ValidationException` | `ejbMustBeInTransaction(java.lang.Object bean)` PUBLIC: Possible cause: An attempt was made to create or remove a been outside of a transaction.
`static ValidationException` | `ejbNoSuchSessionSpecifiedInProperties(java.lang.String sessionName, java.lang.Class beanClass)` PUBLIC: Possible cause: The toplink_session_name value on the beans environment variable does not match with one in the sessions.xml file.
`static ValidationException` | `ejbPrimaryKeyReflectionException(java.lang.Exception exception, java.lang.Object primaryKey, java.lang.Object bean)` PUBLIC: Possible cause: An incorrect primary key object is being used with a bean.
`static ValidationException` | `ejbSessionTypeClassNotFound(java.lang.String sessionType, java.lang.String sessionName, java.lang.Throwable exception)` PUBLIC: Possible cause: The session type specified in the sessions.xml file for the session specified on the toplink_session_name environment variable is not found using the default class loader.
`static ValidationException` | `ejbTopLinkPropertiesNotFound(java.lang.Exception exception)` PUBLIC: Possible cause: The sessions.xml file can not be found.
`static ValidationException` | `embeddedIdAndIdAnnotationFound(java.lang.Class entityClass, java.lang.String embeddedIdAttributeName, java.lang.String idAttributeName)`
`static ValidationException` | `entityClassNotFound(java.lang.String entityClass, java.lang.ClassLoader loader, java.lang.Exception ex)`
`static ValidationException` | `errorClosingPersistenceXML(java.lang.Exception ex)`
`static ValidationException` | `errorDecryptingPassword(java.lang.Exception exception)`
`static ValidationException` | `errorEncryptingPassword(java.lang.Exception exception)`
`static ValidationException` | `errorInSessionsXML(java.lang.String translatedExceptions)` PUBLIC: The session named "name" could not be found in the Sessions.XML
`static ValidationException` | `errorInstantiatingEntityListener(java.lang.Class entityListener, java.lang.Exception exception)`
`static ValidationException` | `errorProcessingNamedQueryAnnotation(java.lang.Class entityClass, java.lang.String namedQuery, java.lang.Exception exception)`
`static ValidationException` | `exceptionConfiguringEMFactory(java.lang.Exception ex)`
`static ValidationException` | `excusiveConnectionIsNoLongerAvailable(DatabaseQuery query, Session session)`
`static ValidationException` | `existingQueryTypeConflict(DatabaseQuery newQuery, DatabaseQuery existingQuery)`
`static ValidationException` | `fatalErrorOccurred(java.lang.Exception exception)`
`static ValidationException` | `featureIsNotAvailableInRunningJDKVersion(java.lang.String feature)`
`static ValidationException` | `fieldLevelLockingNotSupportedWithoutUnitOfWork()`
`static ValidationException` | `fileError(java.io.IOException exception)`
`static ValidationException` | `flushModeNotSupported()`
`static ValidationException` | `historicalSessionOnlySupportedOnOracle()`
`static ValidationException` | `idAnnotationCannotSpecifyGenerator(java.lang.String annotation, java.lang.String generatorType)`
`static ValidationException` | `illegalContainerClass(java.lang.Class aClass)`
`static ValidationException` | `illegalOperationForUnitOfWorkLifecycle(int lifecycle, java.lang.String operation)`
`static ValidationException` | `illegalUseOfMapInDirectCollection(DirectCollectionMapping directCollectionMapping, java.lang.Class aMapClass, java.lang.String keyMethodName)`
`static ValidationException` | `inActiveUnitOfWork(java.lang.String operation)`
`static ValidationException` | `incorrectLoginInstanceProvided()`
`static ValidationException` | `invalidAnnotationSpecified(java.lang.Class entityClass, java.lang.Class annotationClass, java.lang.String accessorName)`
`static ValidationException` | `invalidCallbackMethod(java.lang.Class listenerClass, java.lang.String methodName)`
`static ValidationException` | `invalidClassTypeForLOBAnnotation(java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `invalidColumnAnnotationOnRelationship(java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `invalidCompositePKSpecification(java.lang.Class entityClass, java.lang.Class pkClass)`
`static ValidationException` | `invalidConnector(Connector connector)`
`static ValidationException` | `invalidDataSourceName(java.lang.String name, java.lang.Exception exception)`
`static ValidationException` | `invalidEmbeddableAttribute(java.lang.Class aggregateClass, java.lang.String aggregateAttributeName, java.lang.Class owningClass, java.lang.String owningAttributeName)`
`static ValidationException` | `invalidEncryptionClass(java.lang.String className, java.lang.Throwable throwableError)`
`static ValidationException` | `invalidEntityCallbackMethodArguments(java.lang.Class entityClass, java.lang.String methodName)`
`static ValidationException` | `invalidEntityListenerCallbackMethodArguments(java.lang.Class entityListener, java.lang.String methodName)`
`static ValidationException` | `invalidFetchLazyType(java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `invalidFileName(java.lang.String fileName)`
`static ValidationException` | `invalidMergePolicy()`
`static ValidationException` | `invalidMethodArguments()`
`static ValidationException` | `invalidNamedQueryAnnotationName(java.lang.Class entityClass, java.lang.String ejbql)`
`static ValidationException` | `invalidNullMethodArguments()`
`static ValidationException` | `invalidSequencingLogin()`
`static ValidationException` | `isolatedDataNotSupportedInSessionBroker(java.lang.String sessionName)`
`static ValidationException` | `jarFilesInPersistenceXmlNotSupported()`
`static ValidationException` | `javaTypeIsNotAValidDatabaseType(java.lang.Class javaClass)`
`static ValidationException` | `jtsExceptionRaised(java.lang.Exception exception)`
`static ValidationException` | `loginBeforeAllocatingClientSessions()`
`static ValidationException` | `logIOError(java.io.IOException exception)`
`static ValidationException` | `maxSizeLessThanMinSize()`
`static ValidationException` | `methodFailed(java.lang.String methodName, java.lang.Exception ex)`
`static ValidationException` | `methodNotDeclaredInItemClass(java.lang.String methodName, java.lang.Class aClass)`
`static ValidationException` | `missingDescriptor(java.lang.String className)`
`static ValidationException` | `missingMappingForAttribute(Descriptor descriptor, java.lang.String attributeName, java.lang.String source)` Create a validation exception for the look up of a mapping on a descriptor for an unknown attribute name.
`static ValidationException` | `multipleCursorsNotSupported(java.lang.String callString)`
`static ValidationException` | `multipleEmbeddedIdAnnotationsFound(java.lang.Class entityClass, java.lang.String attributeName1, java.lang.String attributeName2)`
`static ValidationException` | `multipleProjectsSpecifiedInProperties(java.lang.String bundleName, java.lang.String serverName)` PUBLIC: Possible cause: More than one of projectClass, projectFile, and xmlProjectFile are specified for the same session in the sessions.xml file.
`static ValidationException` | `nameAndReferenceNameMustBeSpecified(java.lang.String name, java.lang.String referencedColumnName)`
`static ValidationException` | `namedQueryAlreadyExists(java.lang.String queryName)`
`static ValidationException` | `nestedUOWNotSupportedForAttributeTracking()`
`static ValidationException` | `nestedUOWNotSupportedForUpdateAllQuery()`
`static ValidationException` | `noCorrespondingSetterMethodDefined(java.lang.Class entityClass, java.lang.reflect.Method method)`
`static ValidationException` | `noMappedByAttributeFound(java.lang.Class ownerClass, java.lang.String mappedByAttributeName, java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `noPrimaryKeyAnnotationsFound(java.lang.Class entityClass)`
`static ValidationException` | `noProjectSpecifiedInProperties(java.lang.String bundleName, java.lang.String serverName)` PUBLIC: Possible cause: The sessions.xml file does not include any reference to a project class, file, or xml project file for the session specified in the deployment descriptor.
`static ValidationException` | `noPropertiesFileFound(java.lang.Exception exception)`
`static ValidationException` | `noSessionFound(java.lang.String sessionName, java.lang.String resourceName)`
`static ValidationException` | `noSessionRegisteredForClass(java.lang.Class domainClass)`
`static ValidationException` | `noSessionRegisteredForName(java.lang.String sessionName)`
`static ValidationException` | `noSessionsXMLFound(java.lang.String resourceName)`
`static ValidationException` | `noTablesToCreate(Project project)`
`static ValidationException` | `noTopLinkEjbJarXMLFound()`
`static ValidationException` | `notSupportedForDatasource()`
`static ValidationException` | `nullCacheKeyFoundOnRemoval(IdentityMap map, java.lang.Class clazz)`
`static ValidationException` | `nullPrimaryKeyInUnitOfWorkClone()`
`static ValidationException` | `nullUnderlyingValueHolderValue(java.lang.String methodName)`
`static ValidationException` | `objectNeedImplTrackerForFetchGroupUsage(java.lang.String className)`
`static ValidationException` | `oldCommitNotSupportedForAttributeTracking()`
`static ValidationException` | `oneToManyHasBothAssociationTableAndJoinColumnAnnotations(java.lang.Class entityClass, java.lang.String attributeName)`
`static ValidationException` | `onlyFieldsAreValidKeysForDatabaseRows()`
`static ValidationException` | `operationNotSupported(java.lang.String methodName)`
`static ValidationException` | `optimisticLockingNotSupportedWithStoredProcedureGeneration()`
`static ValidationException` | `oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype()`
`static ValidationException` | `oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection()`
`static ValidationException` | `oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion()`
`static ValidationException` | `oracleObjectTypeIsNotDefined(java.lang.String typeName)`
`static ValidationException` | `oracleObjectTypeNameIsNotDefined(java.lang.Class type)`
`static ValidationException` | `oracleOCIProxyConnectorRequiresOracleOCIConnectionPool()`
`static ValidationException` | `oracleVarrayMaximumSizeNotDefined(java.lang.String typeName)`
`static ValidationException` | `platformClassNotFound(java.lang.Exception exception, java.lang.String className)`
`static ValidationException` | `platformDoesNotSupportCallWithReturning(java.lang.String platformTypeName)`
`static ValidationException` | `platformDoesNotSupportSequence(java.lang.String seqName, java.lang.String platformTypeName, java.lang.String sequenceTypeName)`
`static ValidationException` | `platformDoesNotSupportStoredFunctions(java.lang.String platformTypeName)`
`static ValidationException` | `poolNameDoesNotExist(java.lang.String poolName)`
`static ValidationException` | `poolsMustBeConfiguredBeforeLogin()`
`static ValidationException` | `projectAmendmentExceptionOccured(java.lang.Exception exception, java.lang.String amendmentMethod, java.lang.String amendmentClass)` PUBLIC: Possible cause: An amendment method was called but can not be found.
`static ValidationException` | `projectLoginIsNull(Session session)`
`static ValidationException` | `projectXMLNotFound(java.lang.String projectXMLFile, java.lang.Exception exception)`
`static ValidationException` | `queryArgumentTypeNotFound(DatabaseQuery query, java.lang.String argumentName, java.lang.String typeAsString, java.lang.Exception exception)`
`static ValidationException` | `querySequenceDoesNotHaveSelectQuery(java.lang.String seqName)`
`static ValidationException` | `reservedName(java.lang.String objectUsingReservedName, java.lang.String reserverdName, java.lang.String correctType)`
`static ValidationException` | `sequenceCannotBeConnectedToTwoPlatforms(java.lang.String seqName, java.lang.String ownerPlatformName, java.lang.String otherPlatformName)`
`static ValidationException` | `sequenceNameAlreadyUsedByDefaultSequence(java.lang.String seqName)`
`static ValidationException` | `sequenceSetupIncorrectly(java.lang.String sequenceName)`
`static ValidationException` | `serverPlatformIsReadOnlyAfterLogin(java.lang.String serverPlatformClassName)` PUBLIC: Possible cause: An attempt was made to modify the ServerPlatform after login.
`static ValidationException` | `sessionAmendmentExceptionOccured(java.lang.Exception exception, java.lang.String amendmentMethod, java.lang.String amendmentClass, java.lang.Class[] parameters)` PUBLIC: Possible cause: An amendment method was called but can not be found.
`static ValidationException` | `startIndexOutOfRange()`
`static ValidationException` | `stopIndexOutOfRange()`
`static ValidationException` | `subSessionsNotDefinedForBroker(java.lang.String brokerName)` PUBLIC: Possible cause: The session class specified in the sessions.xml file for the session specified on the toplink_session_name environment variable can not be found.
`static ValidationException` | `tablePerClassInheritanceNotSupported(java.lang.Class entityClass)`
`static ValidationException` | `unableToLoadClass(java.lang.String classname, java.lang.Exception exception)`
`static ValidationException` | `unfetchedAttributeNotEditable(java.lang.String attributeName)`
`static ValidationException` | `unitOfWorkAfterWriteChangesFailed(java.lang.String operation)`
`static ValidationException` | `unitOfWorkInTransactionCommitPending()`
`static ValidationException` | `unitOfWorkInTransactionCommitPending(java.lang.String operation)`
`static ValidationException` | `unsupportedCascadeLockingDescriptor(Descriptor descriptor)`
`static ValidationException` | `unsupportedCascadeLockingMapping(DatabaseMapping mapping)`
`static ValidationException` | `unsupportedCascadeLockingMappingWithCustomQuery(DatabaseMapping mapping)`
`static ValidationException` | `writeChangesOnNestedUnitOfWork()`
`static ValidationException` | `writeObjectNotAllowedInUnitOfWork()`
`static ValidationException` | `wrongChangeEvent(java.lang.Class eveClass)`
`static ValidationException` | `wrongCollectionChangeEventType(int eveType)`
`static ValidationException` | `wrongObjectRegistered(java.lang.Object registered, java.lang.Object parent)`
`static ValidationException` | `wrongPropertyNameInChangeEvent(java.lang.Class objectClass, java.lang.String propertyName)`
`static ValidationException` | `wrongSequenceType(java.lang.String typeName, java.lang.String methodName)`
`static ValidationException` | `wrongUsageOfSetCustomArgumentTypeMethod(java.lang.String callString)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS

    public static final int LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS

  See Also:
    Constant Field Values

### POOL_NAME_DOES_NOT_EXIST

    public static final int POOL_NAME_DOES_NOT_EXIST

  See Also:
    Constant Field Values

### MAX_SIZE_LESS_THAN_MIN_SIZE

    public static final int MAX_SIZE_LESS_THAN_MIN_SIZE

  See Also:
    Constant Field Values

### POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN

    public static final int POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN

  See Also:
    Constant Field Values

### JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE

    public static final int JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE

  See Also:
    Constant Field Values

### MISSING_DESCRIPTOR

    public static final int MISSING_DESCRIPTOR

  See Also:
    Constant Field Values

### START_INDEX_OUT_OF_RANGE

    public static final int START_INDEX_OUT_OF_RANGE

  See Also:
    Constant Field Values

### STOP_INDEX_OUT_OF_RANGE

    public static final int STOP_INDEX_OUT_OF_RANGE

  See Also:
    Constant Field Values

### FATAL_ERROR_OCCURRED

    public static final int FATAL_ERROR_OCCURRED

  See Also:
    Constant Field Values

### NO_PROPERTIES_FILE_FOUND

    public static final int NO_PROPERTIES_FILE_FOUND

  See Also:
    Constant Field Values

### CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP

    public static final int CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP

  See Also:
    Constant Field Values

### FILE_ERROR

    public static final int FILE_ERROR

  See Also:
    Constant Field Values

### INCORRECT_LOGIN_INSTANCE_PROVIDED

    public static final int INCORRECT_LOGIN_INSTANCE_PROVIDED

  See Also:
    Constant Field Values

### INVALID_MERGE_POLICY

    public static final int INVALID_MERGE_POLICY

  See Also:
    Constant Field Values

### ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS

    public static final int ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS

  See Also:
    Constant Field Values

### SEQUENCE_SETUP_INCORRECTLY

    public static final int SEQUENCE_SETUP_INCORRECTLY

  See Also:
    Constant Field Values

### WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK

    public static final int WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK

  See Also:
    Constant Field Values

### CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN

    public static final int CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN

  See Also:
    Constant Field Values

### CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER

    public static final int CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER

  See Also:
    Constant Field Values

### NO_SESSION_REGISTERED_FOR_CLASS

    public static final int NO_SESSION_REGISTERED_FOR_CLASS

  See Also:
    Constant Field Values

### NO_SESSION_REGISTERED_FOR_NAME

    public static final int NO_SESSION_REGISTERED_FOR_NAME

  See Also:
    Constant Field Values

### CANNOT_ADD_DESCRIPTORS_TO_SESSION

    public static final int CANNOT_ADD_DESCRIPTORS_TO_SESSION

  See Also:
    Constant Field Values

### CANNOT_LOGIN_TO_A_SESSION

    public static final int CANNOT_LOGIN_TO_A_SESSION

  See Also:
    Constant Field Values

### CANNOT_LOGOUT_OF_A_SESSION

    public static final int CANNOT_LOGOUT_OF_A_SESSION

  See Also:
    Constant Field Values

### CANNOT_MODIFY_SCHEMA_IN_SESSION

    public static final int CANNOT_MODIFY_SCHEMA_IN_SESSION

  See Also:
    Constant Field Values

### LOG_IO_ERROR

    public static final int LOG_IO_ERROR

  See Also:
    Constant Field Values

### CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK

    public static final int CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK

  See Also:
    Constant Field Values

### CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK

    public static final int CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK

  See Also:
    Constant Field Values

### INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK

    public static final int INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK

  See Also:
    Constant Field Values

### PLATFORM_CLASS_NOT_FOUND

    public static final int PLATFORM_CLASS_NOT_FOUND

  See Also:
    Constant Field Values

### NO_TABLES_TO_CREATE

    public static final int NO_TABLES_TO_CREATE

  See Also:
    Constant Field Values

### ILLEGAL_CONTAINER_CLASS

    public static final int ILLEGAL_CONTAINER_CLASS

  See Also:
    Constant Field Values

### CONTAINER_POLICY_DOES_NOT_USE_KEYS

    public static final int CONTAINER_POLICY_DOES_NOT_USE_KEYS

  See Also:
    Constant Field Values

### METHOD_NOT_DECLARED_IN_ITEM_CLASS

    public static final int METHOD_NOT_DECLARED_IN_ITEM_CLASS

  See Also:
    Constant Field Values

### MISSING_MAPPING

    public static final int MISSING_MAPPING

  See Also:
    Constant Field Values

### ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION

    public static final int ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION

  See Also:
    Constant Field Values

### CANNOT_RELEASE_NON_CLIENTSESSION

    public static final int CANNOT_RELEASE_NON_CLIENTSESSION

  See Also:
    Constant Field Values

### CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION

    public static final int CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION

  See Also:
    Constant Field Values

### OPTIMISTIC_LOCKING_NOT_SUPPORTED

    public static final int OPTIMISTIC_LOCKING_NOT_SUPPORTED

  See Also:
    Constant Field Values

### WRONG_OBJECT_REGISTERED

    public static final int WRONG_OBJECT_REGISTERED

  See Also:
    Constant Field Values

### KEYS_MUST_MATCH

    public static final int KEYS_MUST_MATCH

  See Also:
    Constant Field Values

### INVALID_CONNECTOR

    public static final int INVALID_CONNECTOR

  See Also:
    Constant Field Values

### INVALID_DATA_SOURCE_NAME

    public static final int INVALID_DATA_SOURCE_NAME

  See Also:
    Constant Field Values

### CANNOT_ACQUIRE_DATA_SOURCE

    public static final int CANNOT_ACQUIRE_DATA_SOURCE

  See Also:
    Constant Field Values

### JTS_EXCEPTION_RAISED

    public static final int JTS_EXCEPTION_RAISED

  See Also:
    Constant Field Values

### FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK

    public static final int FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK

  See Also:
    Constant Field Values

### EJB_CONTAINER_EXCEPTION_RAISED

    public static final int EJB_CONTAINER_EXCEPTION_RAISED

  See Also:
    Constant Field Values

### EJB_PRIMARY_KEY_REFLECTION_EXCEPTION

    public static final int EJB_PRIMARY_KEY_REFLECTION_EXCEPTION

  See Also:
    Constant Field Values

### EJB_CANNOT_LOAD_REMOTE_CLASS

    public static final int EJB_CANNOT_LOAD_REMOTE_CLASS

  See Also:
    Constant Field Values

### EJB_MUST_BE_IN_TRANSACTION

    public static final int EJB_MUST_BE_IN_TRANSACTION

  See Also:
    Constant Field Values

### EJB_INVALID_PROJECT_CLASS

    public static final int EJB_INVALID_PROJECT_CLASS

  See Also:
    Constant Field Values

### PROJECT_AMENDMENT_EXCEPTION_OCCURED

    public static final int PROJECT_AMENDMENT_EXCEPTION_OCCURED

  See Also:
    Constant Field Values

### EJB_TOPLINK_PROPERTIES_NOT_FOUND

    public static final int EJB_TOPLINK_PROPERTIES_NOT_FOUND

  See Also:
    Constant Field Values

### CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS

    public static final int CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS

  See Also:
    Constant Field Values

### EJB_INVALID_PLATFORM_CLASS

    public static final int EJB_INVALID_PLATFORM_CLASS

  See Also:
    Constant Field Values

### ORACLE_OBJECT_TYPE_NOT_DEFINED

    public static final int ORACLE_OBJECT_TYPE_NOT_DEFINED

  See Also:
    Constant Field Values

### ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED

    public static final int ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED

  See Also:
    Constant Field Values

### ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED

    public static final int ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED

  See Also:
    Constant Field Values

### DESCRIPTOR_MUST_NOT_BE_INITIALIZED

    public static final int DESCRIPTOR_MUST_NOT_BE_INITIALIZED

  See Also:
    Constant Field Values

### EJB_INVALID_FINDER_ON_HOME

    public static final int EJB_INVALID_FINDER_ON_HOME

  See Also:
    Constant Field Values

### EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES

    public static final int EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES

  See Also:
    Constant Field Values

### EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION

    public static final int EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION

  See Also:
    Constant Field Values

### EJB_FINDER_EXCEPTION

    public static final int EJB_FINDER_EXCEPTION

  See Also:
    Constant Field Values

### CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK

    public static final int CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK

  See Also:
    Constant Field Values

### MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES

    public static final int MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES

  See Also:
    Constant Field Values

### NO_PROJECT_SPECIFIED_IN_PROPERTIES

    public static final int NO_PROJECT_SPECIFIED_IN_PROPERTIES

  See Also:
    Constant Field Values

### INVALID_FILE_TYPE

    public static final int INVALID_FILE_TYPE

  See Also:
    Constant Field Values

### SUB_SESSION_NOT_DEFINED_FOR_BROKER

    public static final int SUB_SESSION_NOT_DEFINED_FOR_BROKER

  See Also:
    Constant Field Values

### EJB_INVALID_SESSION_TYPE_CLASS

    public static final int EJB_INVALID_SESSION_TYPE_CLASS

  See Also:
    Constant Field Values

### EJB_SESSION_TYPE_CLASS_NOT_FOUND

    public static final int EJB_SESSION_TYPE_CLASS_NOT_FOUND

  See Also:
    Constant Field Values

### CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER

    public static final int CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER

  See Also:
    Constant Field Values

### SESSION_AMENDMENT_EXCEPTION_OCCURED

    public static final int SESSION_AMENDMENT_EXCEPTION_OCCURED

  See Also:
    Constant Field Values

### SET_LISTENER_CLASSES_EXCEPTION

    public static final int SET_LISTENER_CLASSES_EXCEPTION

  See Also:
    Constant Field Values

### EXISTING_QUERY_TYPE_CONFLICT

    public static final int EXISTING_QUERY_TYPE_CONFLICT

  See Also:
    Constant Field Values

### QUERY_ARGUMENT_TYPE_NOT_FOUND

    public static final int QUERY_ARGUMENT_TYPE_NOT_FOUND

  See Also:
    Constant Field Values

### ERROR_IN_SESSION_XML

    public static final int ERROR_IN_SESSION_XML

  See Also:
    Constant Field Values

### NO_SESSIONS_XML_FOUND

    public static final int NO_SESSIONS_XML_FOUND

  See Also:
    Constant Field Values

### CANNOT_COMMIT_UOW_AGAIN

    public static final int CANNOT_COMMIT_UOW_AGAIN

  See Also:
    Constant Field Values

### OPERATION_NOT_SUPPORTED

    public static final int OPERATION_NOT_SUPPORTED

  See Also:
    Constant Field Values

### PROJECT_XML_NOT_FOUND

    public static final int PROJECT_XML_NOT_FOUND

  See Also:
    Constant Field Values

### NO_SESSION_FOUND

    public static final int NO_SESSION_FOUND

  See Also:
    Constant Field Values

### NO_TOPLINK_EJB_JAR_XML_FOUND

    public static final int NO_TOPLINK_EJB_JAR_XML_FOUND

  See Also:
    Constant Field Values

### NULL_CACHE_KEY_FOUND_ON_REMOVAL

    public static final int NULL_CACHE_KEY_FOUND_ON_REMOVAL

  See Also:
    Constant Field Values

### NULL_UNDERLYING_VALUEHOLDER_VALUE

    public static final int NULL_UNDERLYING_VALUEHOLDER_VALUE

  See Also:
    Constant Field Values

### INVALID_SEQUENCING_LOGIN

    public static final int INVALID_SEQUENCING_LOGIN

  See Also:
    Constant Field Values

### INVALID_ENCRYPTION_CLASS

    public static final int INVALID_ENCRYPTION_CLASS

  See Also:
    Constant Field Values

### ERROR_ENCRYPTING_PASSWORD

    public static final int ERROR_ENCRYPTING_PASSWORD

  See Also:
    Constant Field Values

### ERROR_DECRYPTING_PASSWORD

    public static final int ERROR_DECRYPTING_PASSWORD

  See Also:
    Constant Field Values

### NOT_SUPPORTED_FOR_DATASOURCE

    public static final int NOT_SUPPORTED_FOR_DATASOURCE

  See Also:
    Constant Field Values

### PROJECT_LOGIN_IS_NULL

    public static final int PROJECT_LOGIN_IS_NULL

  See Also:
    Constant Field Values

### HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE

    public static final int HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE

  See Also:
    Constant Field Values

### CANNOT_ACQUIRE_HISTORICAL_SESSION

    public static final int CANNOT_ACQUIRE_HISTORICAL_SESSION

  See Also:
    Constant Field Values

### FEATURE_NOT_SUPPORTED_IN_JDK_VERSION

    public static final int FEATURE_NOT_SUPPORTED_IN_JDK_VERSION

  See Also:
    Constant Field Values

### PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING

    public static final int PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING

  See Also:
    Constant Field Values

### ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER

    public static final int ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER

  See Also:
    Constant Field Values

### CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION

    public static final int CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION

  See Also:
    Constant Field Values

### INVALID_METHOD_ARGUMENTS

    public static final int INVALID_METHOD_ARGUMENTS

  See Also:
    Constant Field Values

### MULTIPLE_CURSORS_NOT_SUPPORTED

    public static final int MULTIPLE_CURSORS_NOT_SUPPORTED

  See Also:
    Constant Field Values

### WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD

    public static final int WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD

  See Also:
    Constant Field Values

### CANNOT_TRANSLATE_UNPREPARED_CALL

    public static final int CANNOT_TRANSLATE_UNPREPARED_CALL

  See Also:
    Constant Field Values

### CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT

    public static final int CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT

  See Also:
    Constant Field Values

### PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS

    public static final int PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS

  See Also:
    Constant Field Values

### EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE

    public static final int EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE

  See Also:
    Constant Field Values

### UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING

    public static final int UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING

  See Also:
    Constant Field Values

### UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED

    public static final int UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED

  See Also:
    Constant Field Values

### INACTIVE_UNIT_OF_WORK

    public static final int INACTIVE_UNIT_OF_WORK

  See Also:
    Constant Field Values

### CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK

    public static final int CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK

  See Also:
    Constant Field Values

### CANNOT_WRITE_CHANGES_TWICE

    public static final int CANNOT_WRITE_CHANGES_TWICE

  See Also:
    Constant Field Values

### ALREADY_LOGGED_IN

    public static final int ALREADY_LOGGED_IN

  See Also:
    Constant Field Values

### INVALID_NULL_METHOD_ARGUMENTS

    public static final int INVALID_NULL_METHOD_ARGUMENTS

  See Also:
    Constant Field Values

### NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING

    public static final int NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING

  See Also:
    Constant Field Values

### WRONG_COLLECTION_CHANGE_EVENT_TYPE

    public static final int WRONG_COLLECTION_CHANGE_EVENT_TYPE

  See Also:
    Constant Field Values

### WRONG_CHANGE_EVENT

    public static final int WRONG_CHANGE_EVENT

  See Also:
    Constant Field Values

### OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING

    public static final int OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING

  See Also:
    Constant Field Values

### SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN

    public static final int SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN

  See Also:
    Constant Field Values

### CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES

    public static final int CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES

  See Also:
    Constant Field Values

### NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY

    public static final int NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY

  See Also:
    Constant Field Values

### UNFETCHED_ATTRIBUTE_NOT_EDITABLE

    public static final int UNFETCHED_ATTRIBUTE_NOT_EDITABLE

  See Also:
    Constant Field Values

### OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE

    public static final int OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE

  See Also:
    Constant Field Values

### UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES

    public static final int UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES

  See Also:
    Constant Field Values

### WRONG_SEQUENCE_TYPE

    public static final int WRONG_SEQUENCE_TYPE

  See Also:
    Constant Field Values

### CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT

    public static final int CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT

  See Also:
    Constant Field Values

### DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE

    public static final int DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE

  See Also:
    Constant Field Values

### SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE

    public static final int SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE

  See Also:
    Constant Field Values

### PLATFORM_DOES_NOT_SUPPORT_SEQUENCE

    public static final int PLATFORM_DOES_NOT_SUPPORT_SEQUENCE

  See Also:
    Constant Field Values

### SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS

    public static final int SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS

  See Also:
    Constant Field Values

### QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY

    public static final int QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY

  See Also:
    Constant Field Values

### CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED

    public static final int CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED

  See Also:
    Constant Field Values

### CANNOT_RESUME_SYNCHRONIZED_UOW

    public static final int CANNOT_RESUME_SYNCHRONIZED_UOW

  See Also:
    Constant Field Values

### INVALID_COMPOSITE_PK_SPECIFICATION

    public static final int INVALID_COMPOSITE_PK_SPECIFICATION

  See Also:
    Constant Field Values

### INVALID_FETCH_LAZY_TYPE

    public static final int INVALID_FETCH_LAZY_TYPE

  See Also:
    Constant Field Values

### INVALID_ANNOTATION_SPECIFIED

    public static final int INVALID_ANNOTATION_SPECIFIED

  See Also:
    Constant Field Values

### TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED

    public static final int TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED

  See Also:
    Constant Field Values

### NAMED_QUERY_ALREADY_EXISTS

    public static final int NAMED_QUERY_ALREADY_EXISTS

  See Also:
    Constant Field Values

### ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND

    public static final int ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND

  See Also:
    Constant Field Values

### ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED

    public static final int ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### UNABLE_TO_LOAD_CLASS

    public static final int UNABLE_TO_LOAD_CLASS

  See Also:
    Constant Field Values

### INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP

    public static final int INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP

  See Also:
    Constant Field Values

### ERROR_PROCESSING_NAMED_QUERY_ANNOTATION

    public static final int ERROR_PROCESSING_NAMED_QUERY_ANNOTATION

  See Also:
    Constant Field Values

### INVALID_NAMED_QUERY_ANNOTATION_NAME

    public static final int INVALID_NAMED_QUERY_ANNOTATION_NAME

  See Also:
    Constant Field Values

### ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS

    public static final int ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS

  See Also:
    Constant Field Values

### NO_PK_ANNOTATIONS_FOUND

    public static final int NO_PK_ANNOTATIONS_FOUND

  See Also:
    Constant Field Values

### MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND

    public static final int MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND

  See Also:
    Constant Field Values

### EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND

    public static final int EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND

  See Also:
    Constant Field Values

### INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION

    public static final int INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION

  See Also:
    Constant Field Values

### ANNOTATIONS_CONFLICT

    public static final int ANNOTATIONS_CONFLICT

  See Also:
    Constant Field Values

### RESERVED_NAME

    public static final int RESERVED_NAME

  See Also:
    Constant Field Values

### ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR

    public static final int ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR

  See Also:
    Constant Field Values

### INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS

    public static final int INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS

  See Also:
    Constant Field Values

### INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS

    public static final int INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS

  See Also:
    Constant Field Values

### INVALID_CALLBACK_METHOD

    public static final int INVALID_CALLBACK_METHOD

  See Also:
    Constant Field Values

### ERROR_INSTANTIATING_ENTITY_LISTENER

    public static final int ERROR_INSTANTIATING_ENTITY_LISTENER

  See Also:
    Constant Field Values

### WRONG_PROPERTY_NAME_IN_CHANGE_EVENT

    public static final int WRONG_PROPERTY_NAME_IN_CHANGE_EVENT

  See Also:
    Constant Field Values

### NO_CORRESPONDING_SETTER_METHOD_DEFINED

    public static final int NO_CORRESPONDING_SETTER_METHOD_DEFINED

  See Also:
    Constant Field Values

### UNSUPPORTED_CASCADE_LOCKING_MAPPING

    public static final int UNSUPPORTED_CASCADE_LOCKING_MAPPING

  See Also:
    Constant Field Values

### UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY

    public static final int UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY

  See Also:
    Constant Field Values

### UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR

    public static final int UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR

  See Also:
    Constant Field Values

### ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL

    public static final int ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL

  See Also:
    Constant Field Values

### ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION

    public static final int ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION

  See Also:
    Constant Field Values

### ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION

    public static final int ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION

  See Also:
    Constant Field Values

### ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE

    public static final int ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE

  See Also:
    Constant Field Values

### COULD_NOT_FIND_DRIVER_CLASS

    public static final int COULD_NOT_FIND_DRIVER_CLASS

  See Also:
    Constant Field Values

### ERROR_CLOSING_PERSISTENCE_XML

    public static final int ERROR_CLOSING_PERSISTENCE_XML

  See Also:
    Constant Field Values

### CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED

    public static final int CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED

  See Also:
    Constant Field Values

### CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND

    public static final int CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND

  See Also:
    Constant Field Values

### CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS

    public static final int CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS

  See Also:
    Constant Field Values

### CONFIG_METHOD_NOT_DEFINED

    public static final int CONFIG_METHOD_NOT_DEFINED

  See Also:
    Constant Field Values

### CLASS_LIST_MUST_NOT_BE_NULL

    public static final int CLASS_LIST_MUST_NOT_BE_NULL

  See Also:
    Constant Field Values

### CURRENT_LOADER_NOT_VALID

    public static final int CURRENT_LOADER_NOT_VALID

  See Also:
    Constant Field Values

### METHOD_FAILED

    public static final int METHOD_FAILED

  See Also:
    Constant Field Values

### ENTITY_CLASS_NOT_FOUND

    public static final int ENTITY_CLASS_NOT_FOUND

  See Also:
    Constant Field Values

### CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION

    public static final int CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION

  See Also:
    Constant Field Values

### JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED

    public static final int JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED

  See Also:
    Constant Field Values

### FLUSH_MODE_NOT_SUPPORTED

    public static final int FLUSH_MODE_NOT_SUPPORTED

  See Also:
    Constant Field Values

### COULD_NOT_BIND_JNDI

    public static final int COULD_NOT_BIND_JNDI

  See Also:
    Constant Field Values

### EXCEPTION_CONFIGURING_EM_FACTORY

    public static final int EXCEPTION_CONFIGURING_EM_FACTORY

  See Also:
    Constant Field Values

### NULL_PK_IN_UOW_CLONE

    public static final int NULL_PK_IN_UOW_CLONE

  See Also:
    Constant Field Values

### CANNOT_CAST_TO_CLASS

    public static final int CANNOT_CAST_TO_CLASS

  See Also:
    Constant Field Values

### NO_MAPPED_BY_ATTRIBUTE_FOUND

    public static final int NO_MAPPED_BY_ATTRIBUTE_FOUND

  See Also:
    Constant Field Values

### NAME_AND_REF_NAME_MUST_BE_SPECIFIED

    public static final int NAME_AND_REF_NAME_MUST_BE_SPECIFIED

  See Also:
    Constant Field Values

### INVALID_EMBEDDABLE_ATTRIBUTE

    public static final int INVALID_EMBEDDABLE_ATTRIBUTE

  See Also:
    Constant Field Values

Method Detail

### cannotAcquireClientSessionFromSession

    public static ValidationException cannotAcquireClientSessionFromSession()

### notSupportedForDatasource

    public static ValidationException notSupportedForDatasource()

### cannotAcquireDataSource

    public static ValidationException cannotAcquireDataSource(java.lang.Object name,
                                                              java.lang.Exception exception)

### cannotSetListenerClasses

    public static ValidationException cannotSetListenerClasses(java.lang.Exception exception)

### cannotAddDescriptorsToSessionBroker

    public static ValidationException cannotAddDescriptorsToSessionBroker()

### cannotCreateExternalTransactionController

    public static ValidationException cannotCreateExternalTransactionController(java.lang.String externalTransactionControllerName)

### cannotHaveUnboundInOutputArguments

    public static ValidationException cannotHaveUnboundInOutputArguments()

### cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork

    public static ValidationException cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork()

### cannotRegisterAggregateObjectInUnitOfWork

    public static ValidationException cannotRegisterAggregateObjectInUnitOfWork(java.lang.Class type)

### cannotReleaseNonClientSession

    public static ValidationException cannotReleaseNonClientSession()

### cannotRemoveFromReadOnlyClassesInNestedUnitOfWork

    public static ValidationException cannotRemoveFromReadOnlyClassesInNestedUnitOfWork()

### cannotSetReadPoolSizeAfterLogin

    public static ValidationException cannotSetReadPoolSizeAfterLogin()

### childDescriptorsDoNotHaveIdentityMap

    public static ValidationException childDescriptorsDoNotHaveIdentityMap()

### clientSessionCanNotUseExclusiveConnection

    public static ValidationException clientSessionCanNotUseExclusiveConnection()

### containerPolicyDoesNotUseKeys

    public static ValidationException containerPolicyDoesNotUseKeys(ContainerPolicy aPolicy,
                                                                    java.lang.String methodName)

### descriptorMustBeNotInitialized

    public static ValidationException descriptorMustBeNotInitialized(Descriptor descriptor)

### ejbCannotLoadRemoteClass

    public static ValidationException ejbCannotLoadRemoteClass(java.lang.Exception exception,
                                                               java.lang.Class beanClass,
                                                               java.lang.String remoteClass)

### ejbContainerExceptionRaised

    public static ValidationException ejbContainerExceptionRaised(java.lang.Exception exception)

### ejbDescriptorNotFoundInSession

    public static ValidationException ejbDescriptorNotFoundInSession(java.lang.Class beanClass,
                                                                     java.lang.String sessionName)

  PUBLIC: Possible cause: The descriptor listed was not found in the session specified on the deployment descriptor. Action: Check that the project specified in the sessions.xml file is the desired project.

### ejbFinderException

    public static ValidationException ejbFinderException(java.lang.Object bean,
                                                         java.lang.Throwable finderException,
                                                         java.util.Vector primaryKey)

### ejbInvalidHomeInterfaceClass

    public static ValidationException ejbInvalidHomeInterfaceClass(java.lang.Class homeClassName)

### ejbInvalidPlatformClass

    public static ValidationException ejbInvalidPlatformClass(java.lang.String platformName,
                                                              java.lang.String projectName)

### ejbInvalidProjectClass

    public static ValidationException ejbInvalidProjectClass(java.lang.String projectClassName,
                                                             java.lang.String projectName,
                                                             java.lang.Throwable aThrowable)

  PUBLIC: Possible cause: The project class specified in the sessions.xml file for the session specified on the toplink_session_name environment variable can not be found. Action: Check that the project class given in the exception is on the WebSphere dependent classpath.

### ejbInvalidSessionTypeClass

    public static ValidationException ejbInvalidSessionTypeClass(java.lang.String sessionType,
                                                                 java.lang.String sessionName)

  PUBLIC: Possible cause: The session type specified in the sessions.xml file for the session specified on the toplink_session_name environment variable is not a valid type. Action: Check the session type must be either DatabaseSession or it's subclasses type (including the user-defined session type, which must be extended from DatabaseSession).

### ejbMustBeInTransaction

    public static ValidationException ejbMustBeInTransaction(java.lang.Object bean)

  PUBLIC: Possible cause: An attempt was made to create or remove a been outside of a transaction. Action: Ensure that all removing and creating of beans is done within a transaction.

### ejbNoSuchSessionSpecifiedInProperties

    public static ValidationException ejbNoSuchSessionSpecifiedInProperties(java.lang.String sessionName,
                                                                            java.lang.Class beanClass)

  PUBLIC: Possible cause: The toplink_session_name value on the beans environment variable does not match with one in the sessions.xml file. Action: Check that the session is in the properties file and check for any possible spelling differences. If necessary, correct the value of toplink_sessoin_name, regenerate thedeployment code, and redeploy.

### ejbPrimaryKeyReflectionException

    public static ValidationException ejbPrimaryKeyReflectionException(java.lang.Exception exception,
                                                                       java.lang.Object primaryKey,
                                                                       java.lang.Object bean)

  PUBLIC: Possible cause: An incorrect primary key object is being used with a bean. Action: Ensure that you are using the correct primary key object for a bean.

### ejbSessionTypeClassNotFound

    public static ValidationException ejbSessionTypeClassNotFound(java.lang.String sessionType,
                                                                  java.lang.String sessionName,
                                                                  java.lang.Throwable exception)

  PUBLIC: Possible cause: The session type specified in the sessions.xml file for the session specified on the toplink_session_name environment variable is not found using the default class loader. Action: Check that the session class given in the exception is on the app server classpath.

### ejbTopLinkPropertiesNotFound

    public static ValidationException ejbTopLinkPropertiesNotFound(java.lang.Exception exception)

  PUBLIC: Possible cause: The sessions.xml file can not be found. Action: Make sure that the location of the sessions.xml file is on the classpath. If the exception is within VisualAge the sessions.xml file must be in the project resources for the TopLink project.

### errorProcessingNamedQueryAnnotation

    public static ValidationException errorProcessingNamedQueryAnnotation(java.lang.Class entityClass,
                                                                          java.lang.String namedQuery,
                                                                          java.lang.Exception exception)

### errorInSessionsXML

    public static ValidationException errorInSessionsXML(java.lang.String translatedExceptions)

  PUBLIC: The session named "name" could not be found in the Sessions.XML

### errorInstantiatingEntityListener

    public static ValidationException errorInstantiatingEntityListener(java.lang.Class entityListener,
                                                                       java.lang.Exception exception)

### noPropertiesFileFound

    public static ValidationException noPropertiesFileFound(java.lang.Exception exception)

### noSessionsXMLFound

    public static ValidationException noSessionsXMLFound(java.lang.String resourceName)

### errorEncryptingPassword

    public static ValidationException errorEncryptingPassword(java.lang.Exception exception)

### embeddedIdAndIdAnnotationFound

    public static ValidationException embeddedIdAndIdAnnotationFound(java.lang.Class entityClass,
                                                                     java.lang.String embeddedIdAttributeName,
                                                                     java.lang.String idAttributeName)

### errorDecryptingPassword

    public static ValidationException errorDecryptingPassword(java.lang.Exception exception)

### invalidEncryptionClass

    public static ValidationException invalidEncryptionClass(java.lang.String className,
                                                             java.lang.Throwable throwableError)

### invalidEntityCallbackMethodArguments

    public static ValidationException invalidEntityCallbackMethodArguments(java.lang.Class entityClass,
                                                                           java.lang.String methodName)

### invalidEntityListenerCallbackMethodArguments

    public static ValidationException invalidEntityListenerCallbackMethodArguments(java.lang.Class entityListener,
                                                                                   java.lang.String methodName)

### noTopLinkEjbJarXMLFound

    public static ValidationException noTopLinkEjbJarXMLFound()

### excusiveConnectionIsNoLongerAvailable

    public static ValidationException excusiveConnectionIsNoLongerAvailable(DatabaseQuery query,
                                                                            Session session)

### existingQueryTypeConflict

    public static ValidationException existingQueryTypeConflict(DatabaseQuery newQuery,
                                                                DatabaseQuery existingQuery)

### fatalErrorOccurred

    public static ValidationException fatalErrorOccurred(java.lang.Exception exception)

### featureIsNotAvailableInRunningJDKVersion

    public static ValidationException featureIsNotAvailableInRunningJDKVersion(java.lang.String feature)

### fieldLevelLockingNotSupportedWithoutUnitOfWork

    public static ValidationException fieldLevelLockingNotSupportedWithoutUnitOfWork()

### fileError

    public static ValidationException fileError(java.io.IOException exception)

### illegalContainerClass

    public static ValidationException illegalContainerClass(java.lang.Class aClass)

### illegalUseOfMapInDirectCollection

    public static ValidationException illegalUseOfMapInDirectCollection(DirectCollectionMapping directCollectionMapping,
                                                                        java.lang.Class aMapClass,
                                                                        java.lang.String keyMethodName)

### incorrectLoginInstanceProvided

    public static ValidationException incorrectLoginInstanceProvided()

### invalidAnnotationSpecified

    public static ValidationException invalidAnnotationSpecified(java.lang.Class entityClass,
                                                                 java.lang.Class annotationClass,
                                                                 java.lang.String accessorName)

### invalidCallbackMethod

    public static ValidationException invalidCallbackMethod(java.lang.Class listenerClass,
                                                            java.lang.String methodName)

### invalidClassTypeForLOBAnnotation

    public static ValidationException invalidClassTypeForLOBAnnotation(java.lang.Class entityClass,
                                                                       java.lang.String attributeName)

### invalidColumnAnnotationOnRelationship

    public static ValidationException invalidColumnAnnotationOnRelationship(java.lang.Class entityClass,
                                                                            java.lang.String attributeName)

### invalidCompositePKSpecification

    public static ValidationException invalidCompositePKSpecification(java.lang.Class entityClass,
                                                                      java.lang.Class pkClass)

### invalidConnector

    public static ValidationException invalidConnector(Connector connector)

### invalidDataSourceName

    public static ValidationException invalidDataSourceName(java.lang.String name,
                                                            java.lang.Exception exception)

### invalidFetchLazyType

    public static ValidationException invalidFetchLazyType(java.lang.Class entityClass,
                                                           java.lang.String attributeName)

### invalidFileName

    public static ValidationException invalidFileName(java.lang.String fileName)

### invalidMergePolicy

    public static ValidationException invalidMergePolicy()

### javaTypeIsNotAValidDatabaseType

    public static ValidationException javaTypeIsNotAValidDatabaseType(java.lang.Class javaClass)

### jtsExceptionRaised

    public static ValidationException jtsExceptionRaised(java.lang.Exception exception)

### loginBeforeAllocatingClientSessions

    public static ValidationException loginBeforeAllocatingClientSessions()

### logIOError

    public static ValidationException logIOError(java.io.IOException exception)

### maxSizeLessThanMinSize

    public static ValidationException maxSizeLessThanMinSize()

### methodNotDeclaredInItemClass

    public static ValidationException methodNotDeclaredInItemClass(java.lang.String methodName,
                                                                   java.lang.Class aClass)

### missingDescriptor

    public static ValidationException missingDescriptor(java.lang.String className)

### missingMappingForAttribute

    public static ValidationException missingMappingForAttribute(Descriptor descriptor,
                                                                 java.lang.String attributeName,
                                                                 java.lang.String source)

  Create a validation exception for the look up of a mapping on a descriptor for an unknown attribute name. The source is a string describing where the lookup was called from.

### multipleProjectsSpecifiedInProperties

    public static ValidationException multipleProjectsSpecifiedInProperties(java.lang.String bundleName,
                                                                            java.lang.String serverName)

  PUBLIC: Possible cause: More than one of projectClass, projectFile, and xmlProjectFile are specified for the same session in the sessions.xml file. Action: Remove one or more of the entries so that only one of the three is specified in the sessions.xml file.

### noMappedByAttributeFound

    public static ValidationException noMappedByAttributeFound(java.lang.Class ownerClass,
                                                               java.lang.String mappedByAttributeName,
                                                               java.lang.Class entityClass,
                                                               java.lang.String attributeName)

### noPrimaryKeyAnnotationsFound

    public static ValidationException noPrimaryKeyAnnotationsFound(java.lang.Class entityClass)

### noProjectSpecifiedInProperties

    public static ValidationException noProjectSpecifiedInProperties(java.lang.String bundleName,
                                                                     java.lang.String serverName)

  PUBLIC: Possible cause: The sessions.xml file does not include any reference to a project class, file, or xml project file for the session specified in the deployment descriptor. Action: Edit the sessions.xml file to include the desired project.

### noSessionFound

    public static ValidationException noSessionFound(java.lang.String sessionName,
                                                     java.lang.String resourceName)

### noSessionRegisteredForClass

    public static ValidationException noSessionRegisteredForClass(java.lang.Class domainClass)

### noSessionRegisteredForName

    public static ValidationException noSessionRegisteredForName(java.lang.String sessionName)

### noTablesToCreate

    public static ValidationException noTablesToCreate(Project project)

### nullPrimaryKeyInUnitOfWorkClone

    public static ValidationException nullPrimaryKeyInUnitOfWorkClone()

### oneToManyHasBothAssociationTableAndJoinColumnAnnotations

    public static ValidationException oneToManyHasBothAssociationTableAndJoinColumnAnnotations(java.lang.Class entityClass,
                                                                                               java.lang.String attributeName)

### onlyFieldsAreValidKeysForDatabaseRows

    public static ValidationException onlyFieldsAreValidKeysForDatabaseRows()

### operationNotSupported

    public static ValidationException operationNotSupported(java.lang.String methodName)

### optimisticLockingNotSupportedWithStoredProcedureGeneration

    public static ValidationException optimisticLockingNotSupportedWithStoredProcedureGeneration()

### oracleObjectTypeIsNotDefined

    public static ValidationException oracleObjectTypeIsNotDefined(java.lang.String typeName)

### oracleObjectTypeNameIsNotDefined

    public static ValidationException oracleObjectTypeNameIsNotDefined(java.lang.Class type)

### oracleVarrayMaximumSizeNotDefined

    public static ValidationException oracleVarrayMaximumSizeNotDefined(java.lang.String typeName)

### platformClassNotFound

    public static ValidationException platformClassNotFound(java.lang.Exception exception,
                                                            java.lang.String className)

### poolNameDoesNotExist

    public static ValidationException poolNameDoesNotExist(java.lang.String poolName)

### poolsMustBeConfiguredBeforeLogin

    public static ValidationException poolsMustBeConfiguredBeforeLogin()

### projectAmendmentExceptionOccured

    public static ValidationException projectAmendmentExceptionOccured(java.lang.Exception exception,
                                                                       java.lang.String amendmentMethod,
                                                                       java.lang.String amendmentClass)

  PUBLIC: Possible cause: An amendment method was called but can not be found. Action: Check that the required amendment method exists on the class specified.

### projectXMLNotFound

    public static ValidationException projectXMLNotFound(java.lang.String projectXMLFile,
                                                         java.lang.Exception exception)

### queryArgumentTypeNotFound

    public static ValidationException queryArgumentTypeNotFound(DatabaseQuery query,
                                                                java.lang.String argumentName,
                                                                java.lang.String typeAsString,
                                                                java.lang.Exception exception)

### sequenceSetupIncorrectly

    public static ValidationException sequenceSetupIncorrectly(java.lang.String sequenceName)

### serverPlatformIsReadOnlyAfterLogin

    public static ValidationException serverPlatformIsReadOnlyAfterLogin(java.lang.String serverPlatformClassName)

  PUBLIC: Possible cause: An attempt was made to modify the ServerPlatform after login. Action: All changes to the ServerPlatform must be made before login.

### sessionAmendmentExceptionOccured

    public static ValidationException sessionAmendmentExceptionOccured(java.lang.Exception exception,
                                                                       java.lang.String amendmentMethod,
                                                                       java.lang.String amendmentClass,
                                                                       java.lang.Class[] parameters)

  PUBLIC: Possible cause: An amendment method was called but can not be found. Action: Check that the required amendment method exists on the class specified.

### startIndexOutOfRange

    public static ValidationException startIndexOutOfRange()

### stopIndexOutOfRange

    public static ValidationException stopIndexOutOfRange()

### subSessionsNotDefinedForBroker

    public static ValidationException subSessionsNotDefinedForBroker(java.lang.String brokerName)

  PUBLIC: Possible cause: The session class specified in the sessions.xml file for the session specified on the toplink_session_name environment variable can not be found. Action: Check that the session class given in the exception is on the application server dependent classpath.

### tablePerClassInheritanceNotSupported

    public static ValidationException tablePerClassInheritanceNotSupported(java.lang.Class entityClass)

### writeObjectNotAllowedInUnitOfWork

    public static ValidationException writeObjectNotAllowedInUnitOfWork()

### wrongObjectRegistered

    public static ValidationException wrongObjectRegistered(java.lang.Object registered,
                                                            java.lang.Object parent)

### cannotCommitUOWAgain

    public static ValidationException cannotCommitUOWAgain()

### cannotCommitAndResumeUOWWithUpdateAllQueries

    public static ValidationException cannotCommitAndResumeUOWWithUpdateAllQueries()

### cannotCommitAndResumeSynchronizedUOW

    public static ValidationException cannotCommitAndResumeSynchronizedUOW(UnitOfWork uow)

### cannotIssueUpdateAllQueryWithOtherWritesWithinUOW

    public static ValidationException cannotIssueUpdateAllQueryWithOtherWritesWithinUOW()

### nullCacheKeyFoundOnRemoval

    public static ValidationException nullCacheKeyFoundOnRemoval(IdentityMap map,
                                                                 java.lang.Class clazz)

### nullUnderlyingValueHolderValue

    public static ValidationException nullUnderlyingValueHolderValue(java.lang.String methodName)

### invalidSequencingLogin

    public static ValidationException invalidSequencingLogin()

### isolatedDataNotSupportedInSessionBroker

    public static ValidationException isolatedDataNotSupportedInSessionBroker(java.lang.String sessionName)

### projectLoginIsNull

    public static ValidationException projectLoginIsNull(Session session)

### cannotAcquireHistoricalSession

    public static ValidationException cannotAcquireHistoricalSession()

### historicalSessionOnlySupportedOnOracle

    public static ValidationException historicalSessionOnlySupportedOnOracle()

### platformDoesNotSupportCallWithReturning

    public static ValidationException platformDoesNotSupportCallWithReturning(java.lang.String platformTypeName)

### invalidNamedQueryAnnotationName

    public static ValidationException invalidNamedQueryAnnotationName(java.lang.Class entityClass,
                                                                      java.lang.String ejbql)

### invalidNullMethodArguments

    public static ValidationException invalidNullMethodArguments()

### invalidMethodArguments

    public static ValidationException invalidMethodArguments()

### multipleCursorsNotSupported

    public static ValidationException multipleCursorsNotSupported(java.lang.String callString)

### multipleEmbeddedIdAnnotationsFound

    public static ValidationException multipleEmbeddedIdAnnotationsFound(java.lang.Class entityClass,
                                                                         java.lang.String attributeName1,
                                                                         java.lang.String attributeName2)

### wrongUsageOfSetCustomArgumentTypeMethod

    public static ValidationException wrongUsageOfSetCustomArgumentTypeMethod(java.lang.String callString)

### cannotTranslateUnpreparedCall

    public static ValidationException cannotTranslateUnpreparedCall(java.lang.String callString)

### cannotSetCursorForParameterTypeOtherThanOut

    public static ValidationException cannotSetCursorForParameterTypeOtherThanOut(java.lang.String fieldName,
                                                                                  java.lang.String callString)

### platformDoesNotSupportStoredFunctions

    public static ValidationException platformDoesNotSupportStoredFunctions(java.lang.String platformTypeName)

### illegalOperationForUnitOfWorkLifecycle

    public static ValidationException illegalOperationForUnitOfWorkLifecycle(int lifecycle,
                                                                             java.lang.String operation)

### unitOfWorkInTransactionCommitPending

    public static ValidationException unitOfWorkInTransactionCommitPending(java.lang.String operation)

### unsupportedCascadeLockingDescriptor

    public static ValidationException unsupportedCascadeLockingDescriptor(Descriptor descriptor)

### unsupportedCascadeLockingMapping

    public static ValidationException unsupportedCascadeLockingMapping(DatabaseMapping mapping)

### unsupportedCascadeLockingMappingWithCustomQuery

    public static ValidationException unsupportedCascadeLockingMappingWithCustomQuery(DatabaseMapping mapping)

### unitOfWorkAfterWriteChangesFailed

    public static ValidationException unitOfWorkAfterWriteChangesFailed(java.lang.String operation)

### inActiveUnitOfWork

    public static ValidationException inActiveUnitOfWork(java.lang.String operation)

### unitOfWorkInTransactionCommitPending

    public static ValidationException unitOfWorkInTransactionCommitPending()

### writeChangesOnNestedUnitOfWork

    public static ValidationException writeChangesOnNestedUnitOfWork()

### cannotWriteChangesTwice

    public static ValidationException cannotWriteChangesTwice()

### alreadyLoggedIn

    public static ValidationException alreadyLoggedIn(java.lang.String sessionName)

### associationTableAnnotationNotFound

    public static ValidationException associationTableAnnotationNotFound(java.lang.Class owningClass,
                                                                         java.lang.Class nonOwningClass,
                                                                         java.lang.String attributeName)

### attributeOverrideColumnsNotSpecified

    public static ValidationException attributeOverrideColumnsNotSpecified(java.lang.Class entityClass,
                                                                           java.lang.String attributeName)

### namedQueryAlreadyExists

    public static ValidationException namedQueryAlreadyExists(java.lang.String queryName)

### nestedUOWNotSupportedForAttributeTracking

    public static ValidationException nestedUOWNotSupportedForAttributeTracking()

### nestedUOWNotSupportedForUpdateAllQuery

    public static ValidationException nestedUOWNotSupportedForUpdateAllQuery()

### noCorrespondingSetterMethodDefined

    public static ValidationException noCorrespondingSetterMethodDefined(java.lang.Class entityClass,
                                                                         java.lang.reflect.Method method)

### wrongCollectionChangeEventType

    public static ValidationException wrongCollectionChangeEventType(int eveType)

### wrongChangeEvent

    public static ValidationException wrongChangeEvent(java.lang.Class eveClass)

### oldCommitNotSupportedForAttributeTracking

    public static ValidationException oldCommitNotSupportedForAttributeTracking()

### unableToLoadClass

    public static ValidationException unableToLoadClass(java.lang.String classname,
                                                        java.lang.Exception exception)

### unfetchedAttributeNotEditable

    public static ValidationException unfetchedAttributeNotEditable(java.lang.String attributeName)

### objectNeedImplTrackerForFetchGroupUsage

    public static ValidationException objectNeedImplTrackerForFetchGroupUsage(java.lang.String className)

### wrongSequenceType

    public static ValidationException wrongSequenceType(java.lang.String typeName,
                                                        java.lang.String methodName)

### cannotSetDefaultSequenceAsDefault

    public static ValidationException cannotSetDefaultSequenceAsDefault(java.lang.String seqName)

### defaultSequenceNameAlreadyUsedBySequence

    public static ValidationException defaultSequenceNameAlreadyUsedBySequence(java.lang.String seqName)

### sequenceNameAlreadyUsedByDefaultSequence

    public static ValidationException sequenceNameAlreadyUsedByDefaultSequence(java.lang.String seqName)

### platformDoesNotSupportSequence

    public static ValidationException platformDoesNotSupportSequence(java.lang.String seqName,
                                                                     java.lang.String platformTypeName,
                                                                     java.lang.String sequenceTypeName)

### sequenceCannotBeConnectedToTwoPlatforms

    public static ValidationException sequenceCannotBeConnectedToTwoPlatforms(java.lang.String seqName,
                                                                              java.lang.String ownerPlatformName,
                                                                              java.lang.String otherPlatformName)

### querySequenceDoesNotHaveSelectQuery

    public static ValidationException querySequenceDoesNotHaveSelectQuery(java.lang.String seqName)

### createPlatformDefaultSequenceUndefined

    public static ValidationException createPlatformDefaultSequenceUndefined(java.lang.String platformTypeName)

### annotationsConflict

    public static ValidationException annotationsConflict(java.lang.String annotation1,
                                                          java.lang.String annotation2)

### reservedName

    public static ValidationException reservedName(java.lang.String objectUsingReservedName,
                                                   java.lang.String reserverdName,
                                                   java.lang.String correctType)

### idAnnotationCannotSpecifyGenerator

    public static ValidationException idAnnotationCannotSpecifyGenerator(java.lang.String annotation,
                                                                         java.lang.String generatorType)

### wrongPropertyNameInChangeEvent

    public static ValidationException wrongPropertyNameInChangeEvent(java.lang.Class objectClass,
                                                                     java.lang.String propertyName)

### oracleOCIProxyConnectorRequiresOracleOCIConnectionPool

    public static ValidationException oracleOCIProxyConnectorRequiresOracleOCIConnectionPool()

### oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection

    public static ValidationException oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection()

### oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion

    public static ValidationException oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion()

### oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype

    public static ValidationException oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype()

### couldNotFindDriverClass

    public static ValidationException couldNotFindDriverClass(java.lang.Object driver,
                                                              java.lang.Exception ex)

### errorClosingPersistenceXML

    public static ValidationException errorClosingPersistenceXML(java.lang.Exception ex)

### configFactoryNamePropertyNotSpecified

    public static ValidationException configFactoryNamePropertyNotSpecified(java.lang.String configFactory)

### configFactoryNamePropertyNotFound

    public static ValidationException configFactoryNamePropertyNotFound(java.lang.String configClass,
                                                                        java.lang.String configFactory,
                                                                        java.lang.Exception ex)

### cannotInvokeMethodOnConfigClass

    public static ValidationException cannotInvokeMethodOnConfigClass(java.lang.String configMethod,
                                                                      java.lang.String configClass,
                                                                      java.lang.String configFactory,
                                                                      java.lang.Exception ex)

### configMethodNotDefined

    public static ValidationException configMethodNotDefined(java.lang.String configClass,
                                                             java.lang.String configMethod)

### classListMustNotBeNull

    public static ValidationException classListMustNotBeNull()

### currentLoaderNotValid

    public static ValidationException currentLoaderNotValid(java.lang.ClassLoader loader)

### methodFailed

    public static ValidationException methodFailed(java.lang.String methodName,
                                                   java.lang.Exception ex)

### entityClassNotFound

    public static ValidationException entityClassNotFound(java.lang.String entityClass,
                                                          java.lang.ClassLoader loader,
                                                          java.lang.Exception ex)

### classFileTransformerThrowsException

    public static ValidationException classFileTransformerThrowsException(java.lang.Object transformer,
                                                                          java.lang.String className,
                                                                          java.lang.Exception ex)

### jarFilesInPersistenceXmlNotSupported

    public static ValidationException jarFilesInPersistenceXmlNotSupported()

### flushModeNotSupported

    public static ValidationException flushModeNotSupported()

### couldNotBindJndi

    public static ValidationException couldNotBindJndi(java.lang.String bindName,
                                                       java.lang.Object bindValue,
                                                       java.lang.Exception ex)

### exceptionConfiguringEMFactory

    public static ValidationException exceptionConfiguringEMFactory(java.lang.Exception ex)

### cannotCastToClass

    public static ValidationException cannotCastToClass(java.lang.Object ob,
                                                        java.lang.Class objectClass,
                                                        java.lang.Class castClass)

### nameAndReferenceNameMustBeSpecified

    public static ValidationException nameAndReferenceNameMustBeSpecified(java.lang.String name,
                                                                          java.lang.String referencedColumnName)

### invalidEmbeddableAttribute

    public static ValidationException invalidEmbeddableAttribute(java.lang.Class aggregateClass,
                                                                 java.lang.String aggregateAttributeName,
                                                                 java.lang.Class owningClass,
                                                                 java.lang.String owningAttributeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD